#
# spec file for package pnm2ppa
#
# Copyright (c) 2025 SUSE LLC
# Copyright (c) 2012 Bernhard M. Wiedemann
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pnm2ppa
Version:        1.13
Release:        3.1
Summary:        HP PPA GhostScript filter
License:        GPL-2.0-or-later
Group:          System/Filesystems
URL:            https://sourceforge.net/projects/pnm2ppa/
Source0:        https://sourceforge.net/projects/pnm2ppa/files/pnm2ppa/%{version}/%{name}-%{version}.tar.gz
# fix build with gcc15
Patch0:         pnm2ppa-gcc15.patch

%description
pnm2ppa is a Ghostscript print filter which allows owners of HP DeskJet
710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, or 1000Cxi printers to
print PostScript Level 2.

%prep
%autosetup -p1
chmod a-x docs/en/LICENSE
sed -i -e 's/\r//' docs/en/LICENSE

%build
export CFLAGS="%{optflags} -fcommon"
%configure
%make_build

%install
rm -f docs/en/INSTALL*
%make_install

%files
%license docs/en/LICENSE
%doc docs/en
%config(noreplace) %{_sysconfdir}/pnm2ppa.conf
%{_bindir}/*ppa
%{_mandir}/man1/pnm2ppa.1%{?ext_man}

%changelog
* Tue Mar 11 2025 pgajdos@suse.com
- added patches
  fix build with gcc15
  + pnm2ppa-gcc15.patch
* Wed Jun 17 2020 Martin Pluskal <mpluskal@suse.com>
- Fix building with gcc10
- Modernise spec file with spec-cleaner
* Sun Apr 12 2015 mpluskal@suse.com
- Use url for source
- Remove date and time from build
- Cleanup spec file with spec-cleaner
* Mon Dec 31 2012 bwiedemann@suse.com
- initial package of version 1.13
